from pydantic import BaseModel
from typing import List, Optional, Dict

class AdvancedOptions(BaseModel):
  linearity_check: bool
  show_progress: bool
  max_solution_time: Optional[int]
  brand_bound_tolerance: Optional[float]
  max_forms: Optional[int]
  precision: Optional[float]
  extra_param_range: Optional[List[Dict]]
